# Maintainer: Antoni Aloy <aaloytorrens@gmail.com>
pkgname=tuxpaint-config
pkgver=0.0.16
pkgrel=0
pkgdesc="Config files for TuxPaint"
url="www.tuxpaint.org"
arch="all"
makedepends="musl-libintl gettext-tiny-dev libxext-dev libxft-dev fltk-dev libx11-dev libpaper-dev"
license="GPL-3.0-or-later"
options="!check" # No testsuite
subpackages="$pkgname-lang"
source="https://sourceforge.net/projects/tuxpaint/files/tuxpaint-config/$pkgver/tuxpaint-config-$pkgver.tar.gz
	01-remove-optims.patch
	"

build() {
	# > 3 cores not supported
	make -j3 PREFIX=/usr
}

package() {
	mkdir -p "$pkgdir"/usr/share/pixmaps/hicolor/32x32/apps/
	make install \
		PREFIX=/usr \
		GNOME_PREFIX=/usr \
		KDE_PREFIX=/usr \
		X11_ICON_PREFIX=/usr/share/pixmaps \
		DESTDIR="$pkgdir"
		install -Dm644 "$builddir"/src/tuxpaint-config.desktop \
		"$pkgdir/usr/share/applications/tuxpaint-config.desktop"
}

sha512sums="9e512344a02690a3aa426f6595f6fed209125415f2817d366e378a5fa31bf98b511c0b75e5b72697b636420c19d7db3255bcdcd97f6a593144586ccbda26a619  tuxpaint-config-0.0.16.tar.gz
83702a4ccb86666deade9ee01ccd018d1150ad4aa7f1a3c68a8a25969031eb5bd6f2f16cd76fd112d48f74c89b89693ea54f0386a54aaa1a9ae23a7f5e55ded0  01-remove-optims.patch"
